# Note that this is NOT a relocatable package
# DON'T FORGET TO UPDATE THE MOZILLA DEPENDENCY

%define mozver 1.7.3
%define mozepoch 37

Summary:   Gnome browser based on Gecko (Mozilla rendering engine).
Name:      galeon
Version:   1.3.18
Release:   1
License:   GPL
Group:     Applications/Internet
Source:    galeon-%{version}.tar.bz2
URL:       http://galeon.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-root
#Packager:  Marco Pesenti Gritti <mpeseng@tin.it>
BuildRequires: gettext >= 0.10.38
BuildRequires: mozilla-devel = %{mozepoch}:%{mozver}
BuildRequires: pkgconfig
BuildRequires: gtk2-devel >= 2.2.0
BuildRequires: libxml2-devel >= 2.4.0
BuildRequires: libgnomeui-devel >= 2.0.5
BuildRequires: libbonoboui-devel >= 2.1.1
BuildRequires: libglade2-devel >= 2.0.0
BuildRequires: libbonobo-devel >= 2.0.0
BuildRequires: glib2-devel >= 2.0.0
BuildRequires: gdk-pixbuf-devel >= 0.14.0
BuildRequires: bonobo-activation >= 2.0.0
BuildRequires: ORBit2-devel >= 2.0.0
BuildRequires: gnome-vfs2-devel >= 2.0.0
BuildRequires: GConf2-devel >= 2.0.0
Requires: mozilla = %{mozepoch}:%{mozver}

%description
Galeon is a web browser built around Gecko (Mozilla 's rendering engine) 
and Necko (Mozilla's networking engine). It's a GNOME web browser, 
designed to take advantage of as many GNOME technologies as makes sense. 
Galeon was written to do just one thing - browse the web.
%prep
%setup

%build
export DONT_BUILD_NAUTILUS_VIEW=1

# if you set the DONT_BUILD_NAUTILUS_VIEW environment variable to something 
# else than "" the view won't be built. Otherwise, it will e built if 
# libnautilus is detected by configure.
if [ "$DONT_BUILD_NAUTILUS_VIEW" != "" ] ; then
	NAUTILUS_VIEW_OPTION="--enable-nautilus-view=no"
	echo Warning: The nautilius view will not be built.
else
	NAUTILUS_VIEW_OPTION=""
fi

%configure \
	--disable-schemas-install \
	$NAUTILUS_VIEW_OPTION \
	--disable-werror \
	--with-mozilla-snapshot=%{mozver}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%find_lang galeon-2.0

# remove unpackaged files from rpm build root
pushd $RPM_BUILD_ROOT
rm -f .%{_libdir}/bonobo/servers/GNOME_Galeon_NautilusView.server
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files -f galeon-2.0.lang
%defattr(-, root, root)

%doc AUTHORS COPYING COPYING.README ChangeLog NEWS README INSTALL THANKS TODO FAQ FAQ.html README.ExtraPrefs

%{_bindir}/galeon
%{_bindir}/galeon-config-tool

%{_libdir}/galeon/components

%config %{_sysconfdir}/gconf/schemas/galeon.schemas
%config %{_sysconfdir}/sound/events/galeon.soundlist 
%{_datadir}/applications/%{name}.desktop
%{_datadir}/galeon
%{_libdir}/bonobo/servers/GNOME_Galeon_Automation.server
%{_datadir}/pixmaps/*
%{_datadir}/sounds/galeon
%{_datadir}/gnome-2.0/ui/*

%{_mandir}/man1/galeon.1*

%{_datadir}/gnome/help/*
%{_datadir}/omf/galeon/*

%post
%{_bindir}/galeon-config-tool --fix-gconf-permissions
%{_bindir}/galeon-config-tool --pkg-install-schemas
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

%postun
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi


%changelog
* Thu Jan 13 2005 Peter Hanecak <hanecak@megaloman.sk> 1.3.18-1
- update to 1.3.18
- build against mozilla-1.7.3-0.2.0 from FC2

* Thu Sep 16 2004 Peter Hanecak <hanecak@megaloman.sk> 1.3.17-2
- build against mozilla-1.7.2-0.2.0 from FC2

* Tue Aug 10 2004 Peter Hanecak <hanecak@megaloman.sk> 1.3.17-1
- update to 1.3.17

* Fri Jul 16 2004 Peter Hanecak <hanecak@megaloman.sk> 1.3.16-1
- update to 1.3.16
- %%{mozepoch} adad and used in 'require' statements while we are building
  against Fedora Core's mozilla packages and without epoch rpm complain
  about dependencies

* Wed Mar 31 2004 Peter Hanecak <hanecak@megaloman.sk> 1.3.14a-1
- update to 1.3.14a

* Wed Feb 11 2004 Peter Hanecak <hanecak@megaloman.sk> 1.3.12-1
- update to 1.3.12
- requires mozilla 1.6

* Tue Nov  4 2003 Peter Hanecak <hanecak@megaloman.sk> 1.3.10-1
- update to 1.3.10
- requires mozilla 1.4.1
- %%{?_smp_mflags} used with 'make'

* Thu May 29 2003 Peter Hanecak <hanecak@megaloman.sk> 1.2.10-1
- update to 1.2.10a
- requires mozilla 1.3.1

* Thu Feb 20 2003 Peter Hanecak <hanecak@megaloman.sk> 1.2.8-1
- update to 1.2.8

* Fri Nov  1 2002 Peter Hanecak <hanecak@megaloman.sk> 1.2.6-0.8.0.2

* Wed Oct 23 2002 Peter Hanecak <hanecak@megaloman.sk> 1.2.6-0.8.0.1
- .bz2 source archiv
- build also for other ix86 architectures

* Thu Aug 29 2002 Yanko Kaneti <yaneti@declera.com>
- remove the explicit prefix and sysconfdir defines

* Sun May 26 2002 Yanko Kaneti <yaneti@declera.com>
- add --disable-werror to the configure line 

* Mon May 20 2002 Yanko Kaneti <yaneti@declera.com>
- loosen then mozilla dependancy in the SRPMS and tar.gz

* Fri Apr 26 2002 Yanko Kaneti <yaneti@declera.com>
- some small fixes, copied from the RedHat 1.2.0-7 scr.rpm

* Thu Apr 25 2002 Yanko Kaneti <yaneti@declera.com>
- remove some uneeded defattr settings, move everything to (-,root,root)

